<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                      <h3>
                          <strong>Shukran Customers</strong>
                      </h3>
                      <div class="fm-row">
                          <div class="row">
                              <div class="fm-row">
                                <div class="col-sm-4 custom-position">
                                    <mat-chip-list #chipList>
                                        <mat-chip *ngFor="let customer of customerIdsArray" [selectable]="selectable"
                                            [removable]="removable" (removed)="remove(customer)">
                                            {{customer}}
                                            <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                                        </mat-chip>
                                        <input class="form-control" placeholder="Select customers" #fruitInput
                                            [formControl]="formCtrl" [matAutocomplete]="auto" [matChipInputFor]="chipList"
                                            [(ngModel)]="customers"
                                            (ngModelChange)="searchCustomer($event);">
                                    </mat-chip-list>
                                    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                                        <mat-option *ngFor="let customer_name of fetchCustomerData" [value]="customer_name">
                                            {{customer_name.firstname}}
                                        </mat-option>
                                    </mat-autocomplete>
                                  </div>
                                  <div class="col-sm-4 custom-position">
                                      <input [(ngModel)]="start" name="startDate"
                                          [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1"
                                          placeholder="Start Date" class="form-control"
                                          (ngModelChange)="dateCalc()">
                                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                          [owlDateTimeTrigger]="dtPicker1"></i>
                                      <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                                  </div>
                                  <div class="col-sm-4 custom-position">
                                      <input [(ngModel)]="end" name="endDate" [min]="start"
                                          [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2"
                                          placeholder="End Date" class="form-control"
                                          (ngModelChange)="dateCalc()">
                                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                          [owlDateTimeTrigger]="dtPicker2"></i>
                                      <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                                  </div>
                              </div>
                              <div class="col-sm-12 text-right" style="padding-top:10px">
                                  <span matTooltip="CSV" style="cursor:pointer">
                                    <img src="assets/img/csv.png" alt="csv" (click)="getconstantsforcsv()" />
                                  </span>
                                  <button type="get" (click)="getShukranCustomers()" style="padding-left: 15px;"
                                      class="btn btn-sm btn-primary blue">
                                      <i aria-hidden="true" class="fa fa-search"></i>
                                      Search
                                  </button>
                                  <button class="btn btn-sm btn-primary red" style="padding-left: 15px;"
                                      (click)="reset()">
                                      <i aria-hidden="true" class="fa fa-eraser"></i>
                                      Reset filters
                                  </button>
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="fm-row row" *ngIf="creatingcsv">
                    <div class="col-md-12">
                      <div>
                        <progress-bar [progress]="progressvalue" [color]="'#211d46'">
                        </progress-bar>
                      </div>
                    </div>
                  </div>
                  <div class="ibox-content">
                      <div *ngIf="shukranCustomerCount>0">Total Shukran Customers: {{shukranCustomerCount}}</div>
                      <div class="table-responsive">
                          <table aria-describedby="Shukran Customers" class="table table-striped table-bordered table-responsive">
                              <thead>
                                  <tr>
                                      <th scope="col">Shukran Number</th>
                                      <th scope="col">Customer Name</th>
                                      <th scope="col">Customer Phone</th>
                                      <th scope="col">Created Date</th>
                                  </tr>
                              </thead>
                              <tbody *ngIf="shukranCustomerCount>0">
                                  <span *ngIf="loader">
                                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                  </span>
                                  <tr *ngFor="let customer of shukranCustomerData; let i = index" [attr.data-index]="i">
                                      <ng-container>
                                              <td>{{customer?.shukran_number }}</td>
                                              <td (click)="goToLink(customer?.customer_id)">{{customer?.first_name}} {{customer?.last_name}}</td>
                                              <td (click)="goToLink(customer?.customer_id)">{{customer?.country_code}}{{customer?.phone_number }}</td>
                                              <td>{{customer?.created_at | date: 'dd/MM/yyyy, h:mm:ss a':'GMT'}}</td>
                                      </ng-container>
                                  </tr>
                              </tbody>
                          </table>
                          <div class="container-fluid" *ngIf="shukranCustomerCount==0">
                              <div class="row">
                                  <div class="dataTables_info1">
                                      <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                          No records found
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <br>
                  <div class="container-fluid" *ngIf="shukranCustomerCount>0">
                      <div class="row col-md-12 text-center">
                          <div class="dataTables_info1">
                              <div>
                                  <ngb-pagination [collectionSize]="shukranCustomerCount" (pageChange)="pagingAgent($event)"
                                      [page]="currentPage" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                                      [boundaryLinks]="true"></ngb-pagination>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>